Bug 247170 - Bug in displaying error message while using -u option
Summary: Bug in displaying error message while using -u option
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 229644 231966
TreeView+ depends on / blocked
 
Reported: 2007-07-05 19:36 UTC by Roland McGrath
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 4.5.16-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 17:59:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roland McGrath 2007-07-05 19:36:30 UTC
when we use a wrong username in -u option of strace,we get the following
error.
===============================================
strace -u <non existing user name> echo hi
strace: cannot find user `(null)'

Instead of "null", we shld see wrong username.
=========================================

Comment 1 Roland McGrath 2007-07-05 19:37:22 UTC
fixed upstream

Comment 2 Jan Kratochvil 2007-08-03 14:33:33 UTC
Fixed in Rawhide strace-4.5.16-1.fc8:
* Fri Aug  3 2007 Roland McGrath <roland@redhat.com> - 4.5.16-1
- fix -u error message (#247170)

and upstream:

2007-07-05  Roland McGrath  <roland@redhat.com>

        * strace.c (main): Fix error message for unfound -u user.
        From Srinivasa Ds <srinivasa@in.ibm.com>.
        Fixes RH#247170.


Comment 3 Fedora Update System 2007-08-06 17:59:25 UTC
strace-4.5.16-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.